﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Gbjam5MksGame
{

    public class GameVisual : DrawableGameComponent
    {
        protected MyGame myGame;

        public GameVisual(Game game) : base(game)
        {
            myGame = (MyGame)game;

            this.Visible = true;
            this.Enabled = true;
            this.UpdateOrder = (int)UpdateLayer.Last;
            this.DrawOrder = (int)DisplayLayer.VisualBackground;
        }

        public override void Update(GameTime gameTime)
        {
            base.Update(gameTime);
        }

        public override void Draw(GameTime gameTime)
        {
            base.Draw(gameTime);
        }
    }
}
